Skip to main content
PATCH
/
api
/
v1
/
waiting-areas
/
{waiting_area}
Error
A valid request URL is required to generate request examples
{
  "id": "9a0f170e-0aa0-47db-ab14-4ddcdcbad061",
  "name": "Waiting Area 1",
  "created_at": "2021-01-30T08:30:00Z",
  "department": {
    "id": 1,
    "name": "Department"
  },
  "Tenant": {
    "id": "9a0f170e-0aa0-47db-ab14-4ddcdcbad061",
    "name": "John Smith",
    "slug": "john-smith",
    "template": "sqod",
    "site_customization": {
      "logo": {
        "file_name": "file.pdf",
        "url": "https://www.google.com",
        "path": "/path/to/file.pdf"
      },
      "css_file": {
        "file_name": "file.pdf",
        "url": "https://www.google.com",
        "path": "/path/to/file.pdf"
      },
      "banner_color": "#c11de2",
      "font_color": "#c11de2",
      "body_link_color": "#c11de2",
      "terms_and_conditions_link": "<string>",
      "privacy_policy_link": "<string>",
      "support_center_link": "<string>",
      "bsl_video_url": "<string>",
      "appointment_data_fields": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "type": "<string>",
          "required": true
        }
      ],
      "main_background_image": {
        "file_name": "file.pdf",
        "url": "https://www.google.com",
        "path": "/path/to/file.pdf"
      },
      "header_background_colour": "#c11de2",
      "navigation_text_colour": "#c11de2",
      "navigation_link_colour": "#c11de2",
      "heading_colour": "#c11de2",
      "subheading_colour": "#c11de2",
      "main_background_colour": "#c11de2",
      "waiting_area_welcome_message": "<string>",
      "waiting_area_holding_message": "<string>",
      "waiting_area_post_call_message": "<string>",
      "waiting_area_sms_default_invite": "<string>",
      "waiting_area_email_default_invite": "<string>",
      "waiting_area_support_page_content": "<string>",
      "footer_background_color": "#c11de2",
      "footer_font_color": "#c11de2",
      "footer_link_color": "#c11de2",
      "copyright_name": "<string>",
      "copyright_date": "<string>",
      "cta_color": "#c11de2",
      "cta_font_color": "#c11de2",
      "date_color": "#c11de2",
      "date_font_color": "#c11de2",
      "report_text_color": "#c11de2",
      "report_bg_color": "#c11de2",
      "report_cta_color": "#c11de2",
      "report_cta_font_color": "#c11de2",
      "use_light_video_controls": true
    },
    "tenant_support_info": {
      "phone": "<string>",
      "email": "<string>"
    }
  },
  "reference": "WA-12345",
  "url": "https://example.com/waiting-areas/WA-12345",
  "data_fields": [
    {
      "id": "9a0f170e-0aa0-47db-ab14-4ddcdcbad061",
      "name": "First Name",
      "type": "text",
      "required": true
    }
  ],
  "assigned_users": [
    {
      "id": "9a0f170e-0aa0-47db-ab14-4ddcdcbad061",
      "first_name": "John",
      "last_name": "Doe",
      "permission": "Read Only"
    }
  ],
  "additional_departments": [
    {
      "id": "9a0f170e-0aa0-47db-ab14-4ddcdcbad061",
      "name": "Department",
      "permission": "view"
    }
  ],
  "additional_documents": [
    {
      "id": "9a0f170e-0aa0-47db-ab14-4ddcdcbad061",
      "name": "test.pdf",
      "url": "example.com/file.pdf"
    }
  ],
  "schedules": [
    {
      "id": "9a0f170e-0aa0-47db-ab14-4ddcdcbad061",
      "opens_at": "08:30:00",
      "closes_at": "17:00:00",
      "is_enabled": true
    }
  ],
  "agent_post_call_redirent_link": "https://www.google.com",
  "claimant_post_call_redirent_link": "https://www.google.com",
  "holding_page_redirent_link": "https://www.google.com",
  "features_call_recording_enable": true,
  "features_breakout_room_enable": true,
  "features_webcam_access_agent_enable": true,
  "features_webcam_access_claimant_enable": true,
  "features_webcam_background_blurring_enable": true,
  "features_microphone_access_enable": true,
  "features_screen_sharing_enable": true,
  "features_messages_chat_enable": true,
  "features_participant_list_enable": true,
  "features_disable_display_name": true,
  "features_bandwidth": "high",
  "messages_welcome_message": "Welcome to the waiting area",
  "messages_holding_message": "Please wait for your appointment",
  "messages_post_call_message": "Thank you for your call",
  "messages_sms_default_message": "Please join the waiting area",
  "messages_email_default_message": "Please join the waiting area",
  "theme_waiting_area_video_url": "https://www.youtube.com/watch?v=1234567890",
  "theme_waiting_area_hold_music_url": "https://www.youtube.com/watch?v=1234567890",
  "theme_color": "#000000",
  "theme_hero_banner_file": {
    "file_name": "file.pdf",
    "url": "https://www.google.com",
    "path": "/path/to/file.pdf"
  },
  "support_page_content": "Support page content",
  "current_user_permission_level": "Read Only",
  "alert_phone_number": 447123456789,
  "alert_time_in_minutes": 5,
  "current_user_room_group_id": "123e4567-e89b-12d3-a456-426614174000"
}

Authorizations

Authorization
string
header
required

Provide a Bearer Token

Path Parameters

waiting_area
string
required

the UUID of the required waiting area model Resource identifier as a UUID

Example:

"9a0f170e-0aa0-47db-ab14-4ddcdcbad061"

Query Parameters

_method
enum<string>

There is a bug in Laravel where using PATCH as the method when making a request will not work when submitting with a Content-Type of multipart/form-data.

To fix this, the client needs to use POST as the method and add a _method query parameter and set its value to PATCH. This will still route to the PATCH route in laravel.

Note: this is only needed for PATCH endpoints.

Available options:
PATCH

Body

application/json
name
string
custom_identifier
string
department_id
string | null
additional_departments
object[] | null

This field acts as a sync operation, meaning that the departments that are passed in will be the only departments that are assigned to the waiting area. Any departments that are not passed in will be removed from the waiting area.

additional_documents
object[] | null

When an item has an id property, it will be updated. When an item does not have an id property, it will be created. When an item has a deleted_at property, it will be deleted.

assigned_users
object[] | null

This field acts as a sync operation, meaning that the users that are passed in will be the only users that are assigned to the waiting area. Any users that are not passed in will be removed from the waiting area.

data_fields
object[]

When an item has an id property, it will be updated. When an item does not have an id property, it will be created. When an item has a deleted_at property, it will be deleted.

schedules
Waiting Area Schedule · object[]
Minimum array length: 7
agent_post_call_redirent_link
string

The link to redirect the agent to after a call

Example:

"https://www.google.com"

claimant_post_call_redirent_link
string

The link to redirect the claimant to after a call

Example:

"https://www.google.com"

The link to redirect to for the holding page

Example:

"https://www.google.com"

features_call_recording_enable
boolean

Whether call recording is enabled

Example:

true

features_breakout_room_enable
boolean

Whether breakout rooms are enabled

Example:

true

features_webcam_access_agent_enable
boolean

Whether webcam access is enabled for agents

Example:

true

features_webcam_access_claimant_enable
boolean

Whether webcam access is enabled for claimants

Example:

true

features_webcam_background_blurring_enable
boolean

Whether webcam background blurring is enabled

Example:

true

features_microphone_access_enable
boolean

Whether microphone access is enabled

Example:

true

features_screen_sharing_enable
boolean

Whether screen sharing is enabled

Example:

true

features_messages_chat_enable
boolean

Whether chat messages are enabled

Example:

true

features_participant_list_enable
boolean

Whether the participant list is enabled

Example:

true

features_bandwidth
string

The bandwidth setting

Example:

"high"

messages_welcome_message
messages_holding_message
messages_post_call_message
messages_sms_default_message
messages_email_default_message
theme_waiting_area_video_url
string

The waiting area video URL

Example:

"https://www.youtube.com/watch?v=1234567890"

theme_waiting_area_hold_music_url
string

The waiting area hold music URL

Example:

"https://www.youtube.com/watch?v=1234567890"

theme_color
string

The theme color

Example:

"#000000"

support_page_content
alert_phone_number
string | null

The phone number to send alerts to

Example:

447123456789

alert_time_in_minutes
integer | null

The time in minutes to send alerts after the user joined the room

Example:

5

Response

200 - application/json

The request has succeeded.

id
string

Resource identifier as a UUID

Example:

"9a0f170e-0aa0-47db-ab14-4ddcdcbad061"

name
string

The name of the waiting area

Example:

"Waiting Area 1"

created_at
string<date-time>

Date and time of the waiting area creation

Example:

"2021-01-30T08:30:00Z"

department
Department · object
Tenant
Tenant · object
reference
string

Reference identifier for the waiting area

Example:

"WA-12345"

url
string<uri>

URL to access the waiting area

Example:

"https://example.com/waiting-areas/WA-12345"

data_fields
Waiting Area DataField · object[]

Data fields associated with the waiting area

assigned_users
Assigned User · object[]

Users assigned to the waiting area

additional_departments
Additional Department · object[]

Additional departments that the waiting area is associated with

additional_documents
Waiting Area Additional Document · object[]
schedules
Waiting Area Schedule · object[]

Schedules associated with the waiting area

agent_post_call_redirent_link
string

The link to redirect the agent to after a call

Example:

"https://www.google.com"

claimant_post_call_redirent_link
string

The link to redirect the claimant to after a call

Example:

"https://www.google.com"

The link to redirect to for the holding page

Example:

"https://www.google.com"

features_call_recording_enable
boolean

Whether call recording is enabled

Example:

true

features_breakout_room_enable
boolean

Whether breakout rooms are enabled

Example:

true

features_webcam_access_agent_enable
boolean

Whether webcam access is enabled for agents

Example:

true

features_webcam_access_claimant_enable
boolean

Whether webcam access is enabled for claimants

Example:

true

features_webcam_background_blurring_enable
boolean

Whether webcam background blurring is enabled

Example:

true

features_microphone_access_enable
boolean

Whether microphone access is enabled

Example:

true

features_screen_sharing_enable
boolean

Whether screen sharing is enabled

Example:

true

features_messages_chat_enable
boolean

Whether chat messages are enabled

Example:

true

features_participant_list_enable
boolean

Whether the participant list is enabled

Example:

true

features_disable_display_name
boolean

Whether the participant list is enabled

Example:

true

features_bandwidth
string

The bandwidth setting

Example:

"high"

messages_welcome_message
string

The welcome message

Example:

"Welcome to the waiting area"

messages_holding_message
string

The holding message

Example:

"Please wait for your appointment"

messages_post_call_message
string

The post call message

Example:

"Thank you for your call"

messages_sms_default_message
string

The default SMS message

Example:

"Please join the waiting area"

messages_email_default_message
string

The default email message

Example:

"Please join the waiting area"

theme_waiting_area_video_url
string

The waiting area video URL

Example:

"https://www.youtube.com/watch?v=1234567890"

theme_waiting_area_hold_music_url
string

The waiting area hold music URL

Example:

"https://www.youtube.com/watch?v=1234567890"

theme_color
string

The theme color

Example:

"#000000"

theme_hero_banner_file
File · object
support_page_content
string

The support page content

Example:

"Support page content"

current_user_permission_level
string | null

The current user level permission for the waiting area

Example:

"Read Only"

alert_phone_number
string | null

The phone number to send alerts to

Example:

447123456789

alert_time_in_minutes
integer | null

The time in minutes to send alerts after the user joined the room

Example:

5

current_user_room_group_id
string | null

The current user room group uuid

Example:

"123e4567-e89b-12d3-a456-426614174000"